## Echo

Wraps content in a themed webpage.

This very simple module contains only one externally useful function:

`echo_themed_page($title, $content, $theme)`

  Returns a page themed for the anonymous user.

  Generates the text of a fully-themed Drupal page. The rendered page is returned as a text string instead of being sent to the browser. The theme system can thus be used to style any HTML message as if it had been generated by the live website.

  Parameters

    `$title` The text to display as the page title.

    `$content` The text to display in the main page content region.

    `$theme` The machine-readable name of the theme to use.

  Return value

    A string containing the fully-themed page.